version: '2'
services:
  traefik:
    image: traefik
    command: -c /dev/null --web --docker
    labels:
      - "traefik.enable=false"
    ports:
      - "80:80"
      - "8080:8080"
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock

  eureka:
    image: njofce/eureka
    labels:
      - "traefik.port=8761"
      - "traefik.backend=eureka"
      - "traefik.frontend.rule=PathPrefixStrip:/eureka"
    depends_on:
      - traefik

  zuul:
    image: njofce/zuul
    labels:
      - "traefik.port=8080"
      - "traefik.backend=zuul"
      - "traefik.frontend.rule=PathPrefixStrip:/zuul"
    depends_on:
      - traefik
      - eureka

  app1:
    image: njofce/companydata
    labels:
      - "traefik.enable=false"
    depends_on:
      - traefik
      - mysql
      - eureka
      - zuul
    links:
      - mysql
      - eureka

  app2:
    image: njofce/soa
    labels:
      - "traefik.enable=false"
    depends_on:
      - traefik
      - mysql
      - eureka
      - zuul
    links:
      - mysql
      - eureka

  mysql:
    image: mysql
    environment:
      - MYSQL_USER=dbuser
      - MYSQL_PASSWORD=dbp4ss
      - MYSQL_DATABASE=demo
      - MYSQL_ROOT_PASSWORD=blabla
    labels:
      - "traefik.enable=false"
    volumes:
       - mysql-volume:/var/lib/mysql

volumes:
  mysql-volume: {}

